#include "interval.hpp"
#include <cstring>

namespace {

interval_t::unit_t parse(const char * unit) {
	if (strcmp(unit, "minute") == 0) {
		return interval_t::minutes;
	} else if (strcmp(unit, "hour") == 0) {
		return interval_t::hours;
	} else if (strcmp(unit, "day") == 0) {
		return interval_t::days;
	} else if (strcmp(unit, "week") == 0) {
		return interval_t::weeks;
	} else if (strcmp(unit, "month") == 0) {
		return interval_t::months;
	}
	return interval_t::unknown;
}

} // anonymous

interval_t interval_t::parse(uint64_t amount, const char * unit) {
	return interval_t{ ::parse(unit), amount };
}
